Package com.sas.services.util

# Class JMXRegistration

java.lang.Object
com.sas.services.util.JMXRegistration

public final class JMXRegistration extends Object
Data which describes the JMX MBean object instance registration to internal and external JMX servers.

Since:
  9.4
See Also:
  - `JMXAgent`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JMXRegistration()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `javax.management.ObjectInstance`
  `getExternalObjectInstance()`
  Gets the object instance which was registered with the external JMX server.
  `javax.management.ObjectInstance`
  `getInternalObjectInstance()`
  Gets the object instance which was registered with the internal JMX server.
  `String`
  `getRequestedMBeanName()`
  Gets the requested MBean name.
  `void`
  `setExternalObjectInstance(javax.management.ObjectInstance objectInstance)`
  Sets the MBean object instance which was registered with the external JMX server.
  `void`
  `setInternalObjectInstance(javax.management.ObjectInstance objectInstance)`
  Sets the MBean object instance which was registered with the internal JMX server.
  `void`
  `setRequestedMBeanName(String requestedMBeanName)`
  Sets the requested MBean name.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JMXRegistration

    public JMXRegistration()

- ## Method Details

  - ### setRequestedMBeanName

    public void setRequestedMBeanName(String requestedMBeanName)
    Sets the requested MBean name.
    Parameters:
      `requestedMBeanName` - Requested MBean name.

  - ### getRequestedMBeanName

    public String getRequestedMBeanName()
    Gets the requested MBean name.
    Returns:
      MBean name.

  - ### setInternalObjectInstance

    public void setInternalObjectInstance(javax.management.ObjectInstance objectInstance)
    Sets the MBean object instance which was registered with the internal JMX server.
    Parameters:
      `objectInstance` - MBean object instance which was registered with the internal JMX server.

  - ### getInternalObjectInstance

    public javax.management.ObjectInstance getInternalObjectInstance()
    Gets the object instance which was registered with the internal JMX server.
    Returns:
      Object instance which was registered with the internal JMX server or `null`.

  - ### setExternalObjectInstance

    public void setExternalObjectInstance(javax.management.ObjectInstance objectInstance)
    Sets the MBean object instance which was registered with the external JMX server.
    Parameters:
      `objectInstance` - MBean object instance which was registered with the external JMX server.

  - ### getExternalObjectInstance

    public javax.management.ObjectInstance getExternalObjectInstance()
    Gets the object instance which was registered with the external JMX server.
    Returns:
      Object instance which was registered with the external JMX server or `null`.